function check_value()
{
	if(document.login.user.value.length < 1)
	{
		alert('请输入登陆账号');
		document.login.user.focus();
		return false;
	}
	if(document.login.password.value.length < 1)
	{
		alert('请输入登陆密码');
		document.login.password.focus();
		return false;
	}
}
function check_s()
{
	if(document.search.suser.value.length < 1)
	{
		alert('请输入你要搜索的选手的名称或者编号');
		document.search.suser.focus();
		return false;
	}
}
function reloadcode(tar)
{
var verify=document.getElementById(tar);
verify.setAttribute('src','includes/rand_func.php?rc='+Math.random());
}

function hidmid()
{	
	var verify=document.getElementById('midlan');
	if(verify.style.display=='none')
	{
		verify.style.display='block';
		document.getElementById('midm').innerHTML='关闭中间栏';
	}
	else
	{
		verify.style.display='none';
		document.getElementById('midm').innerHTML='显示中间栏';
	}
}
function checkstate() 
{
	  var objs=document.getElementsByTagName("input");
      for(var i=0;i<objs.length;i++)
      {
          if(objs[i].type=='radio' && GetRadioValue(objs[i].name)==false)
          {
             alert("还有没有选择的项，请选择!");
             objs[i].focus();
             return false;
           }
		   if(objs[i].type=='checkbox' && GetCheckValue(objs[i].name)==false)
           {
             alert("还有没有选择的项，请选择!");
             objs[i].focus();
             return false;
           }
       }
	if(confirm("确认要提交吗?"))
	{
		return true;
	} 
} 
function GetRadioValue(RadioName)
{
    var obj; 
	var flag;
    obj=document.getElementsByName(RadioName);
    if(obj!=null)
	{
       for(var j=0;j<obj.length;j++)
	   {
			if(obj[j].checked==true)
			{
				flag = true;
				break;
             }
	   }
       if(!flag) 
       { 
          return false;
	   }
	   else
		  return true;
     }
}
function GetCheckValue(CheckName)
{
    var objc; 
	var flag;
    objc=document.getElementsByName(CheckName);
    if(objc!=null)
	{
       for(var j=0;j<objc.length;j++)
	   {
			if(objc[j].checked==true)
			{
				flag = true;
				break;
             }
	   }
       if(!flag) 
       { 
          return false;
	   }
	   else
		  return true;
     }
}